# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.webmastertools
Class SitesEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<SitesEntry>
                  com.google.gdata.data.webmastertools.SitesEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class SitesEntry

extends BaseEntry<SitesEntry>

This represents a single web site entry. It conveys information about a given site that is identified by site URL. It specifies whether site is indexed by Google, verified, last time the web site has been crawled, etc. The entry list all the available verification methods that can be used by this web site for verification with one of the methods marked to be in-use at the time. See `VerificationMethod` for more information. Example (common Atom nodes are omitted):

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

###

       <entry>
         <id>http://www.websiteurl.com/</id>
         true
         US
         normal
         preferwww
         true

    Nested Class Summary

    static class
    SitesEntry.Crawled

              Deprecated. This class is not used any more.

    static class
    SitesEntry.CrawlingRate

              Crawl Rate construct to represent  field.

    static class
    SitesEntry.EnhancedImageSearch

              Boolean value construct to represent  field.

    static class
    SitesEntry.Geolocation

              Region code value construct to represent <geolocation> field.

    static class
    SitesEntry.Indexed

              Deprecated. This class is not used any more.

    static class
    SitesEntry.PreferredDomain

              Domain Preference construct to represent  field.

    static class
    SitesEntry.Verified

              Boolean value construct to represent <verified> field.

    Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry

    BaseEntry.AtomHandler, BaseEntry.EntryState

    Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint

    ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler

    Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension

    AbstractExtension.AttributesHandler

    Field Summary

    Fields inherited from class com.google.gdata.data.BaseEntry

    state

    Fields inherited from class com.google.gdata.data.ExtensionPoint

    xmlBlob

    Fields inherited from class com.google.gdata.data.AbstractExtension

    localName, namespace

    Constructor Summary

    SitesEntry()

              Constructs a new SitesEntry instance

    Method Summary

     void
    addVerificationMethod(VerificationMethod method)

              Add available verification method for the site.

     void
    declareExtensions(ExtensionProfile extProfile)

              Initializes an ExtensionProfile based upon the extensions expected
     by a SitesEntry.

     DateTime
    getCrawled()

              Deprecated. This field is not used any more.

     CrawlRate
    getCrawlRate()

              Returns site crawl rate.

     boolean
    getEnhancedImageSearch()

              Returns the Enhanced Image Search setting.

     java.util.List<EntryLink>
    getEntryLinks()

              Returns a List of EntryLink for the links of this class, which
     are the child feeds.

     java.lang.String
    getGeolocation()

              Returns site geographic location.

     boolean
    getIndexed()

              Deprecated. This field is not used any more.

     DomainPreference
    getPreferredDomain()

              Returns the domain preference for the site.

     java.util.List<VerificationMethod>
    getVerificationMethods()

              Returns List of the verification methods for the site.

     boolean
    getVerified()

              Returns site verification status.

     void
    setCrawled(DateTime crawlTime)

              Deprecated. This field is not used any more.

     void
    setCrawlRate(CrawlRate rate)

              Changes the crawl rate.

     void
    setEnhancedImageSearch(boolean enabled)

              Changes the Enhanced Image Search setting.

     void
    setGeolocation(java.lang.String regionCode)

              Changes site geographic location.

     void
    setIndexed(boolean isIndexed)

              Deprecated. This field is not used any more.

     void
    setPreferredDomain(DomainPreference preference)

              Changes the domain preference.

     void
    setVerified(boolean isVerified)

              Changes site verification status.

    protected  void
    validate()

              Validates that the list of verification methods contains no duplicate
     method types and in-use flag is only set once.

    Methods inherited from class com.google.gdata.data.BaseEntry

    addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren

    Methods inherited from class com.google.gdata.data.ExtensionPoint

    addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild

    Methods inherited from class com.google.gdata.data.AbstractExtension

    consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Constructor Detail

    SitesEntry

    public SitesEntry()

    Constructs a new SitesEntry instance

    Method Detail

    declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

    Initializes an ExtensionProfile based upon the extensions expected
     by a SitesEntry. Extension profile specifies which nodes are expected to
     be in the entry.

    Specified by:declareExtensions in interface Kind.AdaptorOverrides:declareExtensions in class ExtensionPoint

    Parameters:extProfile - the ExtensionProfile to initialize.See Also:ExtensionProfile.addDeclarations(Kind.Adaptor)

    setIndexed

    public void setIndexed(boolean isIndexed)

    Deprecated. This field is not used any more.

    Changes site indexing status.

    Parameters:isIndexed - specifies if site is indexed or not.

    getIndexed

    public boolean getIndexed()

    Deprecated. This field is not used any more.

    Returns site indexing status.

    Returns:true if site is indexed or false otherwise.

    setCrawled

    public void setCrawled(DateTime crawlTime)

    Deprecated. This field is not used any more.

    Changes the latest crawl time.

    Parameters:crawlTime - specifies site last crawl time.

    getCrawled

    public DateTime getCrawled()

    Deprecated. This field is not used any more.

    Returns site last crawl time.

    Returns:last crawl time or null if time is not set.

    setVerified

    public void setVerified(boolean isVerified)

    Changes site verification status.

    Parameters:isVerified - specifies if site is verified or not.

    getVerified

    public boolean getVerified()

    Returns site verification status.

    Returns:true if site is indexed or false otherwise.

    setGeolocation

    public void setGeolocation(java.lang.String regionCode)

    Changes site geographic location. See
     http://www.unicode.org/cldr/data/diff/supplemental/territory_containment_un_m_49.html.

    Parameters:regionCode - is a two-letter code representing a country.

    getGeolocation

    public java.lang.String getGeolocation()

    Returns site geographic location. See
     http://www.unicode.org/cldr/data/diff/supplemental/territory_containment_un_m_49.html.

    Returns:A two-letter code representing a country.

    setCrawlRate

    public void setCrawlRate(CrawlRate rate)

    Changes the crawl rate.

    Parameters:rate - is an integer representing the desired crawl rate.

    getCrawlRate

    public CrawlRate getCrawlRate()

    Returns site crawl rate.

    Returns:A CrawlRate enum representing the crawl rate.

    setPreferredDomain

    public void setPreferredDomain(DomainPreference preference)

    Changes the domain preference.

    Parameters:preference - is a DomainPreference that indicates which one
     of the possibilities is preferred, using domain, www.domain, or no
     association at all.

    getPreferredDomain

    public DomainPreference getPreferredDomain()

    Returns the domain preference for the site.

    Returns:A DomainPreference value that indicates which one of
     the domain preferences for the site is preferred.

    setEnhancedImageSearch

    public void setEnhancedImageSearch(boolean enabled)

    Changes the Enhanced Image Search setting.

    Parameters:enabled - specifies whether enhanced image should be enabled.

    getEnhancedImageSearch

    public boolean getEnhancedImageSearch()

    Returns the Enhanced Image Search setting.

    Returns:true if Enhanced Image Search is enabled, false
     if it is disabled.

    addVerificationMethod

    public void addVerificationMethod(VerificationMethod method)

    Add available verification method for the site.

    getVerificationMethods

    public java.util.List<VerificationMethod> getVerificationMethods()

    Returns List of the verification methods for the site.

    getEntryLinks

    public java.util.List<EntryLink> getEntryLinks()

    Returns a List of EntryLink for the links of this class, which
     are the child feeds.

    validate

    protected void validate()
                     throws java.lang.IllegalStateException

    Validates that the list of verification methods contains no duplicate
     method types and in-use flag is only set once.

    Overrides:validate in class AbstractExtension

    Throws:
    java.lang.IllegalStateException - if any problems are found with the
                                           attributes